import server from '@/utils/request'

//新增
interface Addobj{
  type:String|Number	    //类型：1-服务条款，2-隐私协议
  title:String	            //标题
  content:String	        //协议内容
  version:String	        //版本
  appid:String	
  status?:String     	    //状态：1-可用，0-不可用
}

export function adddicttype(data:Addobj) {
  return server.request({
    url: '/resource/wechat/agreement/add',
    method: 'post',
    data
  },false)
}

//修改
export function update(data:Addobj) {
  return server.request({
    url: '/resource/wechat/agreement/update',
    method: 'post',
    data
  },false)
}

//查询
interface Querydata{
    type?:String|Number	    //类型：1-服务条款，2-隐私协议
    appid?:String	
    status?:String     	    //状态：1-可用，0-不可用
}
export function getdicttype(params:Querydata) {
  return server.request({
    url: '/resource/wechat/agreement/list',
    method: 'get',
    params
  })
}

//删除
export function deltype(id:string) {
  return server.request({
    url: '/resource/wechat/agreement/del',
    method: 'post',
    data:{
      id
    }
  })
}


